Description: Fix some direntry to point to correct info files.
 In addition, in an info direntry, the part before ':' needs to be unique,
 or else gnat-style from gnat-4.4-doc and gnat-4.6-doc will conflict.
Author: Guo Yixuan <culu.gyx@gmail.com>
Bug-Debian: http://bugs.debian.org/594384
--- a/gcc/ada/gnat_rm.texi
+++ b/gcc/ada/gnat_rm.texi
@@ -12,7 +12,7 @@
 @finalout
 @dircategory GNU Ada Tools 
 @direntry
-* GNAT Reference Manual: (gnat_rm-5).  Reference Manual for GNU Ada tools.
+* @value{fngnatrmlong}: (@value{fngnatrm}).  Reference Manual for GNU Ada tools.
 @end direntry
 
 @definfoenclose strong,`,'
--- a/gcc/ada/gnat_ugn.texi
+++ b/gcc/ada/gnat_ugn.texi
@@ -12,7 +12,7 @@
 @finalout
 @dircategory GNU Ada Tools 
 @direntry
-* gnat_ugn: (gnat_ugn.info). gnat_ugn
+* @value{fngnatugnlong}: (@value{fngnatugn}). gnat_ugn
 @end direntry
 
 @definfoenclose strong,`,'
--- a/gcc/ada/gnat-style.texi
+++ b/gcc/ada/gnat-style.texi
@@ -31,7 +31,7 @@ Texts.  A copy of the license is include
 
 @dircategory Software development
 @direntry
-* gnat-style: (gnat-style-5).      GNAT Coding Style
+* @value{fngnatstyle}: (@value{fngnatstyle}).      GNAT Coding Style
 @end direntry
 
 @macro syntax{element}
